/**
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.jasig.portal.dao.usertype;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import javax.portlet.WindowState;

import org.hibernate.HibernateException;
import org.hibernate.type.descriptor.sql.VarcharTypeDescriptor;

/**
 * Uses a regular expression to validate strings coming to/from the database.
 * 
 * @author Eric Dalquist
 * @version $Revision: 23669 $
 */
public class WindowStateType extends BaseUserType<WindowState> {

    public WindowStateType() {
        super(VarcharTypeDescriptor.INSTANCE, WindowStateTypeDescriptor.INSTANCE);
    }

    @Override
    public WindowState nullSafeGet(ResultSet rs, String[] names, Object owner) throws HibernateException, SQLException {
        // TODO Auto-generated method stub
        return super.nullSafeGet(rs, names, owner);
    }

    @Override
    public void nullSafeSet(PreparedStatement st, Object value, int index) throws HibernateException, SQLException {
        // TODO Auto-generated method stub
        super.nullSafeSet(st, value, index);
    }
    
    
}
